import { DataGetterPropType } from 'victory-core';
import { ChartThemeDefinition } from '../../ChartTheme/ChartTheme';
interface ChartBulletDataInterface {
    data?: any[];
    invert?: boolean;
    negativeMeasureTheme?: ChartThemeDefinition;
    theme?: ChartThemeDefinition;
    themeColor?: string;
    y?: DataGetterPropType;
    y0?: DataGetterPropType;
}
/**
 * Returns comparative measure data
 *
 * @private Not intended as public API and subject to change
 */
export declare const getComparativeMeasureData: ({ data, themeColor, theme, y }: ChartBulletDataInterface) => any[];
/**
 * Returns comparative error measure data
 *
 * @private Not intended as public API and subject to change
 */
export declare const getComparativeErrorMeasureData: ({ data, themeColor, theme, y }: ChartBulletDataInterface) => any[];
/**
 * Returns comparative warning data
 *
 * @private Not intended as public API and subject to change
 */
export declare const getComparativeWarningMeasureData: ({ data, themeColor, theme, y }: ChartBulletDataInterface) => any[];
/**
 * Returns primary dot measure data
 *
 * @private Not intended as public API and subject to change
 */
export declare const getPrimaryDotMeasureData: ({ data, invert, themeColor, theme, y, y0 }: ChartBulletDataInterface) => any[];
/**
 * Returns primary segment measure data
 *
 * @private Not intended as public API and subject to change
 */
export declare const getPrimarySegmentedMeasureData: ({ data, invert, themeColor, theme, negativeMeasureTheme, y, y0 }: ChartBulletDataInterface) => any[];
/**
 * Returns qualitative range data
 *
 * @private Not intended as public API and subject to change
 */
export declare const getQualitativeRangeData: ({ data, invert, themeColor, theme, y, y0 }: ChartBulletDataInterface) => any[];
export {};
//# sourceMappingURL=chart-bullet-data.d.ts.map