import { ChartThemeDefinition } from '../../ChartTheme/ChartTheme';
interface ChartBulletSizeInterface {
    height: number;
    horizontal?: boolean;
    theme?: ChartThemeDefinition;
    themeColor?: string;
    width: number;
}
/**
 * Scale size per the given size properties
 *
 * @private Not intended as public API and subject to change
 */
export declare const getComparativeMeasureErrorWidth: ({ height, horizontal, themeColor, width, theme }: ChartBulletSizeInterface) => number;
/**
 * Returns comparative measure width
 *
 * @private Not intended as public API and subject to change
 */
export declare const getComparativeMeasureWidth: ({ height, horizontal, themeColor, width, theme }: ChartBulletSizeInterface) => number;
/**
 * Returns comparative measure warning width
 *
 * @private Not intended as public API and subject to change
 */
export declare const getComparativeMeasureWarningWidth: ({ height, horizontal, themeColor, width, theme }: ChartBulletSizeInterface) => number;
/**
 * Returns primary dot measure size
 *
 * @private Not intended as public API and subject to change
 */
export declare const getPrimaryDotMeasureSize: ({ height, horizontal, themeColor, width, theme }: ChartBulletSizeInterface) => number;
/**
 * Returns primary segmented measure width
 *
 * @private Not intended as public API and subject to change
 */
export declare const getPrimarySegmentedMeasureWidth: ({ height, horizontal, themeColor, width, theme }: ChartBulletSizeInterface) => number;
/**
 * Returns qualitative range bar width
 *
 * @private Not intended as public API and subject to change
 */
export declare const getQualitativeRangeBarWidth: ({ height, horizontal, themeColor, width, theme }: ChartBulletSizeInterface) => number;
export {};
//# sourceMappingURL=chart-bullet-size.d.ts.map