import { __rest } from "tslib";
import { jsx as _jsx } from "react/jsx-runtime";
import hoistNonReactStatics from 'hoist-non-react-statics';
import { VictoryContainer } from 'victory-core';
import { getTheme } from '../ChartUtils/chart-theme';
import { getClassName } from '../ChartUtils/chart-helpers';
export const ChartContainer = (_a) => {
    var { className, themeColor, 
    // destructure last
    theme = getTheme(themeColor) } = _a, rest = __rest(_a, ["className", "themeColor", "theme"]);
    const chartClassName = getClassName({ className });
    // Note: className is valid, but Victory is missing a type
    return _jsx(VictoryContainer, Object.assign({ className: chartClassName, theme: theme }, rest));
};
ChartContainer.displayName = 'ChartContainer';
// Note: VictoryContainer.role must be hoisted
hoistNonReactStatics(ChartContainer, VictoryContainer);
//# sourceMappingURL=ChartContainer.js.map