/**
 * Common styles
 *
 * @private Not intended as public API and subject to change
 */
export declare const ChartCommonStyles: {
    label: {
        fontFamily: string;
        fontSize: 14;
        letterSpacing: "var(--pf-v6-chart-global--letter-spacing, normal)";
        margin: 8;
        fill: "var(--pf-v6-chart-global--label--Fill, #1f1f1f)";
    };
    legend: {
        margin: 16;
        position: "right";
    };
};
/**
 * Bullet styles
 *
 * @private Not intended as public API and subject to change
 */
export declare const ChartBulletStyles: {
    axisTickCount: 5;
    comparativeMeasureErrorWidth: 30;
    comparativeMeasureWarningWidth: 30;
    comparativeMeasureWidth: 30;
    label: {
        groupTitle: {
            fill: "var(--pf-v6-chart-bullet--label--grouptitle--Fill, #1f1f1f)";
            fontSize: 22;
        };
        subTitle: {
            fill: "var(--pf-v6-chart-bullet--label--subtitle--Fill, #a3a3a3)";
            fontSize: 14;
        };
        title: {
            fill: "var(--pf-v6-chart-bullet--label--title--Fill, #1f1f1f)";
            fontSize: 18;
        };
    };
    primaryDotMeasureSize: 6;
    primarySegmentedMeasureWidth: 9;
    qualitativeRangeWidth: 30;
};
/**
 * Legend tooltip styles
 *
 * @private Not intended as public API and subject to change
 */
export declare const ChartBoxPlotTooltipStyles: {
    flyout: {
        padding: number;
    };
    label: any;
};
/**
 * Donut styles
 *
 * @private Not intended as public API and subject to change
 */
export declare const ChartDonutStyles: {
    label: {
        subTitle: {
            fill: "var(--pf-v6-chart-donut--label--subtitle--Fill, #a3a3a3)";
            fontSize: 14;
        };
        subTitlePosition: "center";
        title: {
            fill: "var(--pf-v6-chart-donut--label--title--Fill, #1f1f1f)";
            fontSize: 22;
        };
    };
};
/**
 * Donut utilization styles
 *
 * @private Not intended as public API and subject to change
 */
export declare const ChartDonutUtilizationStyles: {
    thresholds: {
        colorScale: ("var(--pf-v6-chart-donut--threshold--warning--Color, #dca614)" | "var(--pf-v6-chart-donut--threshold--danger--Color, #b1380b)")[];
    };
};
/**
 * Legend tooltip styles
 *
 * @private Not intended as public API and subject to change
 */
export declare const ChartLegendTooltipStyles: {
    flyout: {
        padding: number;
    };
    label: any;
};
/**
 * Scatter styles
 *
 * @private Not intended as public API and subject to change
 */
export declare const ChartScatterStyles: {
    activeSize: 5;
    size: 3;
};
//# sourceMappingURL=ChartStyles.d.ts.map