import { ChartThemeDefinition, ChartComponentThemeDefinition } from '../ChartTheme/ChartTheme';
/**
 * Apply custom properties to base and color themes
 *
 * @param themeColor The theme color to merge with custom theme
 * @param customTheme The custom theme to merge
 * @public
 */
export declare const getCustomTheme: (themeColor: string, customTheme: ChartThemeDefinition) => ChartThemeDefinition;
/**
 * Returns base theme for given color
 *
 * @public
 */
export declare const getTheme: (themeColor: string) => ChartThemeDefinition;
/**
 * Returns base component theme for given color
 *
 * @private Not intended as public API and subject to change
 */
export declare const getComponentTheme: (themeColor: string) => ChartComponentThemeDefinition;
/**
 * Returns theme colors
 *
 * @public
 */
export declare const getThemeColors: (themeColor: string) => import("../ChartTheme/ChartTheme").ChartThemeDefinitionInterface;
/**
 * Returns theme component colors
 *
 * @private Not intended as public API and subject to change
 */
export declare const getThemeComponentColors: (themeColor: string) => import("../ChartTheme/ChartTheme").ChartComponentThemeDefinitionInterface;
//# sourceMappingURL=chart-theme.d.ts.map