"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getLineSeries = void 0;
const tslib_1 = require("tslib");
const defaultsDeep_1 = tslib_1.__importDefault(require("lodash/defaultsDeep"));
/**
 * Returns series properties for Line chart
 *
 * @param serie
 * @param theme
 * @param isSkeleton
 * @private Not intended as public API and subject to change
 */
const getLineSeries = (serie, theme, isSkeleton) => {
    const defaults = {
        emphasis: Object.assign({}, (isSkeleton ? { disabled: true } : { focus: 'adjacency' })),
        showSymbol: false,
        type: 'line'
    };
    return (0, defaultsDeep_1.default)(serie, defaults);
};
exports.getLineSeries = getLineSeries;
//# sourceMappingURL=Line.js.map