"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getMultiColorOrderedTheme = void 0;
const tslib_1 = require("tslib");
const chart_theme_multi_color_ordered_ColorScale_100_1 = tslib_1.__importDefault(require('@patternfly/react-tokens/dist/js/chart_theme_multi_color_ordered_ColorScale_100'));
const chart_theme_multi_color_ordered_ColorScale_200_1 = tslib_1.__importDefault(require('@patternfly/react-tokens/dist/js/chart_theme_multi_color_ordered_ColorScale_200'));
const chart_theme_multi_color_ordered_ColorScale_300_1 = tslib_1.__importDefault(require('@patternfly/react-tokens/dist/js/chart_theme_multi_color_ordered_ColorScale_300'));
const chart_theme_multi_color_ordered_ColorScale_400_1 = tslib_1.__importDefault(require('@patternfly/react-tokens/dist/js/chart_theme_multi_color_ordered_ColorScale_400'));
const chart_theme_multi_color_ordered_ColorScale_500_1 = tslib_1.__importDefault(require('@patternfly/react-tokens/dist/js/chart_theme_multi_color_ordered_ColorScale_500'));
const chart_theme_multi_color_ordered_ColorScale_600_1 = tslib_1.__importDefault(require('@patternfly/react-tokens/dist/js/chart_theme_multi_color_ordered_ColorScale_600'));
const chart_theme_multi_color_ordered_ColorScale_700_1 = tslib_1.__importDefault(require('@patternfly/react-tokens/dist/js/chart_theme_multi_color_ordered_ColorScale_700'));
const chart_theme_multi_color_ordered_ColorScale_800_1 = tslib_1.__importDefault(require('@patternfly/react-tokens/dist/js/chart_theme_multi_color_ordered_ColorScale_800'));
const chart_theme_multi_color_ordered_ColorScale_900_1 = tslib_1.__importDefault(require('@patternfly/react-tokens/dist/js/chart_theme_multi_color_ordered_ColorScale_900'));
const chart_theme_multi_color_ordered_ColorScale_1000_1 = tslib_1.__importDefault(require('@patternfly/react-tokens/dist/js/chart_theme_multi_color_ordered_ColorScale_1000'));
const chart_theme_multi_color_ordered_ColorScale_1100_1 = tslib_1.__importDefault(require('@patternfly/react-tokens/dist/js/chart_theme_multi_color_ordered_ColorScale_1100'));
const chart_theme_multi_color_ordered_ColorScale_1200_1 = tslib_1.__importDefault(require('@patternfly/react-tokens/dist/js/chart_theme_multi_color_ordered_ColorScale_1200'));
const chart_theme_multi_color_ordered_ColorScale_1300_1 = tslib_1.__importDefault(require('@patternfly/react-tokens/dist/js/chart_theme_multi_color_ordered_ColorScale_1300'));
const chart_theme_multi_color_ordered_ColorScale_1400_1 = tslib_1.__importDefault(require('@patternfly/react-tokens/dist/js/chart_theme_multi_color_ordered_ColorScale_1400'));
const chart_theme_multi_color_ordered_ColorScale_1500_1 = tslib_1.__importDefault(require('@patternfly/react-tokens/dist/js/chart_theme_multi_color_ordered_ColorScale_1500'));
const chart_theme_multi_color_ordered_ColorScale_1600_1 = tslib_1.__importDefault(require('@patternfly/react-tokens/dist/js/chart_theme_multi_color_ordered_ColorScale_1600'));
const chart_theme_multi_color_ordered_ColorScale_1700_1 = tslib_1.__importDefault(require('@patternfly/react-tokens/dist/js/chart_theme_multi_color_ordered_ColorScale_1700'));
const chart_theme_multi_color_ordered_ColorScale_1800_1 = tslib_1.__importDefault(require('@patternfly/react-tokens/dist/js/chart_theme_multi_color_ordered_ColorScale_1800'));
const chart_theme_multi_color_ordered_ColorScale_1900_1 = tslib_1.__importDefault(require('@patternfly/react-tokens/dist/js/chart_theme_multi_color_ordered_ColorScale_1900'));
const chart_theme_multi_color_ordered_ColorScale_2000_1 = tslib_1.__importDefault(require('@patternfly/react-tokens/dist/js/chart_theme_multi_color_ordered_ColorScale_2000'));
const chart_theme_multi_color_ordered_ColorScale_2100_1 = tslib_1.__importDefault(require('@patternfly/react-tokens/dist/js/chart_theme_multi_color_ordered_ColorScale_2100'));
const chart_theme_multi_color_ordered_ColorScale_2200_1 = tslib_1.__importDefault(require('@patternfly/react-tokens/dist/js/chart_theme_multi_color_ordered_ColorScale_2200'));
const chart_theme_multi_color_ordered_ColorScale_2300_1 = tslib_1.__importDefault(require('@patternfly/react-tokens/dist/js/chart_theme_multi_color_ordered_ColorScale_2300'));
const chart_theme_multi_color_ordered_ColorScale_2400_1 = tslib_1.__importDefault(require('@patternfly/react-tokens/dist/js/chart_theme_multi_color_ordered_ColorScale_2400'));
const chart_theme_multi_color_ordered_ColorScale_2500_1 = tslib_1.__importDefault(require('@patternfly/react-tokens/dist/js/chart_theme_multi_color_ordered_ColorScale_2500'));
const color_theme_1 = require("../color-theme");
const styles_1 = require("../../utils/styles");
/**
 * Multi-color ordered theme -- see https://docs.google.com/document/d/1cw10pJFXWruB1SA8TQwituxn5Ss6KpxYPCOYGrH8qAY/edit
 *
 * @private Not intended as public API and subject to change
 */
const getMultiColorOrderedTheme = () => (0, color_theme_1.ColorTheme)({
    // The color order below (minus the purple color family) improves the color contrast in ordered charts; donut, pie, bar, & stack
    COLOR_SCALE: [
        (0, styles_1.getComputedStyleValue)(chart_theme_multi_color_ordered_ColorScale_100_1.default),
        (0, styles_1.getComputedStyleValue)(chart_theme_multi_color_ordered_ColorScale_200_1.default),
        (0, styles_1.getComputedStyleValue)(chart_theme_multi_color_ordered_ColorScale_300_1.default),
        (0, styles_1.getComputedStyleValue)(chart_theme_multi_color_ordered_ColorScale_400_1.default),
        (0, styles_1.getComputedStyleValue)(chart_theme_multi_color_ordered_ColorScale_500_1.default),
        (0, styles_1.getComputedStyleValue)(chart_theme_multi_color_ordered_ColorScale_600_1.default),
        (0, styles_1.getComputedStyleValue)(chart_theme_multi_color_ordered_ColorScale_700_1.default),
        (0, styles_1.getComputedStyleValue)(chart_theme_multi_color_ordered_ColorScale_800_1.default),
        (0, styles_1.getComputedStyleValue)(chart_theme_multi_color_ordered_ColorScale_900_1.default),
        (0, styles_1.getComputedStyleValue)(chart_theme_multi_color_ordered_ColorScale_1000_1.default),
        (0, styles_1.getComputedStyleValue)(chart_theme_multi_color_ordered_ColorScale_1100_1.default),
        (0, styles_1.getComputedStyleValue)(chart_theme_multi_color_ordered_ColorScale_1200_1.default),
        (0, styles_1.getComputedStyleValue)(chart_theme_multi_color_ordered_ColorScale_1300_1.default),
        (0, styles_1.getComputedStyleValue)(chart_theme_multi_color_ordered_ColorScale_1400_1.default),
        (0, styles_1.getComputedStyleValue)(chart_theme_multi_color_ordered_ColorScale_1500_1.default),
        (0, styles_1.getComputedStyleValue)(chart_theme_multi_color_ordered_ColorScale_1600_1.default),
        (0, styles_1.getComputedStyleValue)(chart_theme_multi_color_ordered_ColorScale_1700_1.default),
        (0, styles_1.getComputedStyleValue)(chart_theme_multi_color_ordered_ColorScale_1800_1.default),
        (0, styles_1.getComputedStyleValue)(chart_theme_multi_color_ordered_ColorScale_1900_1.default),
        (0, styles_1.getComputedStyleValue)(chart_theme_multi_color_ordered_ColorScale_2000_1.default),
        (0, styles_1.getComputedStyleValue)(chart_theme_multi_color_ordered_ColorScale_2100_1.default),
        (0, styles_1.getComputedStyleValue)(chart_theme_multi_color_ordered_ColorScale_2200_1.default),
        (0, styles_1.getComputedStyleValue)(chart_theme_multi_color_ordered_ColorScale_2300_1.default),
        (0, styles_1.getComputedStyleValue)(chart_theme_multi_color_ordered_ColorScale_2400_1.default),
        (0, styles_1.getComputedStyleValue)(chart_theme_multi_color_ordered_ColorScale_2500_1.default)
    ]
});
exports.getMultiColorOrderedTheme = getMultiColorOrderedTheme;
//# sourceMappingURL=multi-ordered-theme.js.map