"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getOrangeColorTheme = void 0;
const tslib_1 = require("tslib");
const chart_theme_orange_ColorScale_100_1 = tslib_1.__importDefault(require('@patternfly/react-tokens/dist/js/chart_theme_orange_ColorScale_100'));
const chart_theme_orange_ColorScale_200_1 = tslib_1.__importDefault(require('@patternfly/react-tokens/dist/js/chart_theme_orange_ColorScale_200'));
const chart_theme_orange_ColorScale_300_1 = tslib_1.__importDefault(require('@patternfly/react-tokens/dist/js/chart_theme_orange_ColorScale_300'));
const chart_theme_orange_ColorScale_400_1 = tslib_1.__importDefault(require('@patternfly/react-tokens/dist/js/chart_theme_orange_ColorScale_400'));
const chart_theme_orange_ColorScale_500_1 = tslib_1.__importDefault(require('@patternfly/react-tokens/dist/js/chart_theme_orange_ColorScale_500'));
const color_theme_1 = require("../color-theme");
const styles_1 = require("../../utils/styles");
/**
 * Orange color theme -- see https://docs.google.com/document/d/1cw10pJFXWruB1SA8TQwituxn5Ss6KpxYPCOYGrH8qAY/edit
 *
 * @private Not intended as public API and subject to change
 */
const getOrangeColorTheme = () => (0, color_theme_1.ColorTheme)({
    COLOR_SCALE: [
        (0, styles_1.getComputedStyleValue)(chart_theme_orange_ColorScale_100_1.default),
        (0, styles_1.getComputedStyleValue)(chart_theme_orange_ColorScale_200_1.default),
        (0, styles_1.getComputedStyleValue)(chart_theme_orange_ColorScale_300_1.default),
        (0, styles_1.getComputedStyleValue)(chart_theme_orange_ColorScale_400_1.default),
        (0, styles_1.getComputedStyleValue)(chart_theme_orange_ColorScale_500_1.default)
    ]
});
exports.getOrangeColorTheme = getOrangeColorTheme;
//# sourceMappingURL=orange-theme.js.map