"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSkeletonColorTheme = void 0;
const tslib_1 = require("tslib");
const chart_bullet_qualitative_range_ColorScale_100_1 = tslib_1.__importDefault(require('@patternfly/react-tokens/dist/js/chart_bullet_qualitative_range_ColorScale_100'));
const chart_bullet_qualitative_range_ColorScale_200_1 = tslib_1.__importDefault(require('@patternfly/react-tokens/dist/js/chart_bullet_qualitative_range_ColorScale_200'));
const chart_bullet_qualitative_range_ColorScale_300_1 = tslib_1.__importDefault(require('@patternfly/react-tokens/dist/js/chart_bullet_qualitative_range_ColorScale_300'));
const chart_bullet_qualitative_range_ColorScale_400_1 = tslib_1.__importDefault(require('@patternfly/react-tokens/dist/js/chart_bullet_qualitative_range_ColorScale_400'));
const chart_bullet_qualitative_range_ColorScale_500_1 = tslib_1.__importDefault(require('@patternfly/react-tokens/dist/js/chart_bullet_qualitative_range_ColorScale_500'));
const skeleton_theme_1 = require("../skeleton-theme");
const styles_1 = require("../../utils/styles");
/**
 * Skeleton color theme
 *
 * @private Not intended as public API and subject to change
 */
const getSkeletonColorTheme = () => (0, skeleton_theme_1.ColorTheme)({
    COLOR_SCALE: [
        (0, styles_1.getComputedStyleValue)(chart_bullet_qualitative_range_ColorScale_100_1.default),
        (0, styles_1.getComputedStyleValue)(chart_bullet_qualitative_range_ColorScale_200_1.default),
        (0, styles_1.getComputedStyleValue)(chart_bullet_qualitative_range_ColorScale_300_1.default),
        (0, styles_1.getComputedStyleValue)(chart_bullet_qualitative_range_ColorScale_400_1.default),
        (0, styles_1.getComputedStyleValue)(chart_bullet_qualitative_range_ColorScale_500_1.default)
    ]
});
exports.getSkeletonColorTheme = getSkeletonColorTheme;
//# sourceMappingURL=skeleton-theme.js.map