"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChartArea = void 0;
const tslib_1 = require("tslib");
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const hoist_non_react_statics_1 = tslib_1.__importDefault(require("hoist-non-react-statics"));
const victory_area_1 = require("victory-area");
const ChartContainer_1 = require("../ChartContainer/ChartContainer");
const chart_theme_1 = require("../ChartUtils/chart-theme");
const ChartArea = (_a) => {
    var { containerComponent = (0, jsx_runtime_1.jsx)(ChartContainer_1.ChartContainer, {}), themeColor, 
    // destructure last
    theme = (0, chart_theme_1.getTheme)(themeColor) } = _a, rest = tslib_1.__rest(_a, ["containerComponent", "themeColor", "theme"]);
    // Clone so users can override container props
    const container = (0, react_1.cloneElement)(containerComponent, Object.assign({ theme }, containerComponent.props));
    // Note: containerComponent is required for theme
    return (0, jsx_runtime_1.jsx)(victory_area_1.VictoryArea, Object.assign({ containerComponent: container, theme: theme }, rest));
};
exports.ChartArea = ChartArea;
exports.ChartArea.displayName = 'ChartArea';
// Note: VictoryArea.role must be hoisted
(0, hoist_non_react_statics_1.default)(exports.ChartArea, victory_area_1.VictoryArea);
//# sourceMappingURL=ChartArea.js.map