"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChartTooltip = void 0;
const tslib_1 = require("tslib");
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const hoist_non_react_statics_1 = tslib_1.__importDefault(require("hoist-non-react-statics"));
const victory_tooltip_1 = require("victory-tooltip");
const ChartLabel_1 = require("../ChartLabel/ChartLabel");
const chart_theme_1 = require("../ChartUtils/chart-theme");
const ChartTooltip = (_a) => {
    var { constrainToVisibleArea = false, labelComponent = (0, jsx_runtime_1.jsx)(ChartLabel_1.ChartLabel, {}), // Note that Victory provides its own label component here
    labelTextAnchor, themeColor, 
    // destructure last
    theme = (0, chart_theme_1.getTheme)(themeColor) } = _a, rest = tslib_1.__rest(_a, ["constrainToVisibleArea", "labelComponent", "labelTextAnchor", "themeColor", "theme"]);
    const chartLabelComponent = (0, react_1.cloneElement)(labelComponent, Object.assign({ textAnchor: labelTextAnchor, theme }, labelComponent.props));
    return ((0, jsx_runtime_1.jsx)(victory_tooltip_1.VictoryTooltip, Object.assign({ constrainToVisibleArea: constrainToVisibleArea, labelComponent: chartLabelComponent, theme: theme }, rest)));
};
exports.ChartTooltip = ChartTooltip;
exports.ChartTooltip.displayName = 'ChartTooltip';
// Note: VictoryTooltip.defaultEvents must be hoisted
(0, hoist_non_react_statics_1.default)(exports.ChartTooltip, victory_tooltip_1.VictoryTooltip);
//# sourceMappingURL=ChartTooltip.js.map