/// <reference types="react" />
import { DataGetterPropType } from 'victory-core';
interface DomainInterface {
    data?: any;
    maxDomain?: any;
    minDomain?: any;
    x?: DataGetterPropType;
    y?: DataGetterPropType;
}
interface SourcesInterface {
    maxDomain?: any;
    minDomain?: any;
    sources?: {
        component?: React.ReactElement<any>;
        data?: any;
    }[];
}
/**
 * Chart domain interface
 *
 * @private Not intended as public API and subject to change
 */
export interface ChartDomain {
    x: [number, number];
    y: [number, number];
}
/**
 * Returns the min and max domain for given data
 *
 * @private Not intended as public API and subject to change
 */
export declare const getDomain: ({ data, maxDomain, minDomain, x, y }: DomainInterface) => ChartDomain;
/**
 * Returns the domain for given min and max properties
 *
 * @private Not intended as public API and subject to change
 */
export declare const getDomains: ({ maxDomain, minDomain, sources }: SourcesInterface) => ChartDomain;
export {};
//# sourceMappingURL=chart-domain.d.ts.map