import { ChartThemeDefinition } from '../ChartTheme/ChartTheme';
interface ChartBulletLabelInterface {
    dx?: number;
    dy?: number;
    chartHeight?: number;
    chartWidth?: number;
    labelPosition?: 'bottom' | 'left' | 'top' | 'top-left';
    legendPosition?: 'bottom' | 'bottom-left' | 'right';
    svgHeight?: number;
    svgWidth?: number;
    width?: number;
}
interface ChartPieLabelInterface {
    dx?: number;
    dy?: number;
    height: number;
    labelPosition?: 'bottom' | 'center' | 'right';
    legendPosition?: 'bottom' | 'right';
    padding: any;
    width: number;
}
interface ChartLabelTextSizeInterface {
    text: any;
    theme: ChartThemeDefinition;
}
/**
 * Returns x coordinate for bullet labels
 *
 * @private Not intended as public API and subject to change
 */
export declare const getBulletLabelX: ({ chartWidth, dx, labelPosition }: ChartBulletLabelInterface) => number;
/**
 * Returns y coordinate for bullet labels
 *
 * @private Not intended as public API and subject to change
 */
export declare const getBulletLabelY: ({ chartHeight, dy, labelPosition }: ChartBulletLabelInterface) => number;
/**
 * Returns x coordinate for pie labels
 *
 * @private Not intended as public API and subject to change
 */
export declare const getPieLabelX: ({ dx, height, labelPosition, legendPosition, padding, width }: ChartPieLabelInterface) => number;
/**
 * Returns x coordinate for pie labels
 *
 * @private Not intended as public API and subject to change
 */
export declare const getPieLabelY: ({ dy, height, labelPosition, padding, width }: ChartPieLabelInterface) => number;
/**
 * Returns an approximate size for the give text
 *
 * @private Not intended as public API and subject to change
 */
export declare const getLabelTextSize: ({ text, theme }: ChartLabelTextSizeInterface) => {
    height: number;
    width: number;
};
export {};
//# sourceMappingURL=chart-label.d.ts.map