/// <reference types="react" />
import { ElementPadding } from 'victory-core/src/victory-util/helpers';
import { ChartLegendProps } from '../ChartLegend/ChartLegend';
import { ChartThemeDefinition } from '../ChartTheme/ChartTheme';
interface ChartLegendInterface {
    allowWrap?: boolean;
    chartType?: string;
    colorScale?: any;
    dx?: number;
    dy?: number;
    height: number;
    legendComponent: React.ReactElement<any>;
    orientation?: 'horizontal' | 'vertical';
    padding: ElementPadding;
    patternScale?: string[];
    position: 'bottom' | 'bottom-left' | 'right';
    theme: ChartThemeDefinition;
    themeColor?: string;
    width: number;
}
interface ChartLegendDimensionsInterface {
    legendData: any[];
    legendOrientation: 'horizontal' | 'vertical';
    legendProps: ChartLegendProps;
    theme: ChartThemeDefinition;
}
/**
 * Returns the max text length in a legend data set to calculate the x offset for right aligned legends.
 *
 * @private Not intended as public API and subject to change
 */
export declare const getLegendMaxTextWidth: (legendData: any[], theme: ChartThemeDefinition) => number;
/**
 * Returns a legend which has been positioned per the given chart properties
 *
 * @private Not intended as public API and subject to change
 */
export declare const getComputedLegend: ({ allowWrap, chartType, colorScale, dx, dy, height, legendComponent, padding, patternScale, position, theme, themeColor, width, orientation }: ChartLegendInterface) => import("react").ReactElement<any, string | import("react").JSXElementConstructor<any>>;
/**
 * Returns legend dimensions
 *
 * @private Not intended as public API and subject to change
 */
export declare const getLegendDimensions: ({ legendData, legendOrientation, legendProps, theme }: ChartLegendDimensionsInterface) => any;
/**
 * Returns the extra height required to accommodate wrapped legend items
 *
 * @private Not intended as public API and subject to change
 */
export declare const getLegendItemsExtraHeight: ({ legendData, legendOrientation, legendProps, theme }: ChartLegendDimensionsInterface) => number;
export {};
//# sourceMappingURL=chart-legend.d.ts.map