/// <reference types="react" />
interface PatternPropsInterface {
    children?: any;
    colorScale?: any;
    hasPatterns?: boolean | boolean[];
    isPatternDefs?: boolean;
    offset?: number;
    patternId?: string;
    patternScale?: string[];
    patternUnshiftIndex?: number;
    themeColor?: string;
    themeColorScale?: string[];
}
/**
 * Helper function to return pattern defs
 *
 * @private Not intended as public API and subject to change
 */
export declare const getPatternDefs: ({ colorScale, offset, patternId, patternUnshiftIndex }: PatternPropsInterface) => import("react/jsx-runtime").JSX.Element;
/**
 * Merge pattern IDs with `data.fill` property, used by interactive pie chart legend
 *
 * @private Not intended as public API and subject to change
 */
export declare const mergePatternData: (data: any, patternScale: string[]) => any;
/**
 * Helper function to return default pattern props
 *
 * @private Not intended as public API and subject to change
 */
export declare const useDefaultPatternProps: ({ colorScale, hasPatterns, patternScale, themeColorScale }: PatternPropsInterface) => {
    defaultColorScale: string[];
    defaultPatternScale: string[];
    isPatternDefs: boolean;
    patternId: string;
};
/**
 * Helper function to render children with patterns
 *
 * @private Not intended as public API and subject to change
 */
export declare const renderChildrenWithPatterns: ({ children, patternScale, themeColor }: PatternPropsInterface) => (string | number | import("react").ReactElement<any, string | import("react").JSXElementConstructor<any>> | Iterable<import("react").ReactNode>)[];
export {};
//# sourceMappingURL=chart-patterns.d.ts.map